<div class="container-fluid">
    <nav class="nav d-flex justify-content-between bg-warning mt-auto px-2">
        <b class="text-dark"> CRUD Angular</b>
        <button class="btn btn-success" (click)="clickAddUser()" data-bs-toggle="modal" data-bs-target="#exampleModal">ADD ITEM</button>
    </nav>
    <table class="table table-striped text-center">
        <thead>
            <tr>
                <th scope="col">ID</th>
                <th scope="col">Name</th>
                <th scope="col">Gender</th>
                <th scope="col">Company</th>
                <th scope="col">Age</th>
                <th scope="col">Handle</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let item of getUserData">
                <td>{{item.id}}</td>
                <td>{{item.userName}}</td>
                <td>{{item.gender}}</td>
                <td>{{item.company}}</td>
                <td>{{item.age}}</td>
                <td><button class=" btn btn-primary" (click)="editUser(item)" data-bs-toggle="modal" data-bs-target="#exampleModal">Update</button>
                    <button class=" btn btn-danger" (click)="delUser(item)">Xóa</button>
                </td>
            </tr>
        </tbody>
    </table>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form [formGroup]="formValue">
                    <div class="input-group mb-3">
                        <span class="input-group-text" id="basic-addon1">User name</span>
                        <input type="text" formControlName="userName" class="form-control" placeholder="Username" aria-label="Username" aria-describedby="basic-addon1">
                    </div>
                    <div class="input-group mb-3">
                        <span class="input-group-text" id="basic-addon1">Gender</span>
                        <input type="text" formControlName="gender" class="form-control" placeholder="Gender" aria-label="Gender" aria-describedby="basic-addon1">
                    </div>
                    <div class="input-group mb-3">
                        <span class="input-group-text" id="basic-addon1">Company</span>
                        <input type="text" formControlName="company" class="form-control" placeholder="Company" aria-label="Company" aria-describedby="basic-addon1">
                    </div>
                    <div class="input-group mb-3">
                        <span class="input-group-text" id="basic-addon1">Age</span>
                        <input type="text" formControlName="age" class="form-control" placeholder="Age" aria-label="Age" aria-describedby="basic-addon1">
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <button type="button" *ngIf="showAdd" (click)="createUser()" class="btn btn-primary">Add</button>
                <button type="button" *ngIf="showUpdate" (click)="updateUser()" class="btn btn-primary">Update</button>
            </div>
        </div>
    </div>
</div>